
def listfiles(unpaired_samples,paired_samples):
	file_list = []
	
	if(unpaired_samples != None):
		if(type(unpaired_samples) == type([])):
			for sample in unpaired_samples:
				file_list.append([sample.name,sample.file_name,False])
		
		## The following takes care of a bug in galaxy;
		## if only one history object is selected, it isn't returned as a list but as single object.
		## This is probably a rudimentair part of code that originates from the time that multiple data-objects were not implemented.
		
		else:
			file_list.append([unpaired_samples.name,unpaired_samples.file_name,False])
	
	if(paired_samples != None):
		pair_id = 0
		for pair in paired_samples:
			pair_id += 1
			sample_id = 0
			for sample in pair['samples']:
				sample_id += 1
				file_list.append([sample['sample'].name+" *[Pair "+str(pair_id)+"; sample "+str(sample_id)+"]",sample['sample'].file_name,False])
	
	return file_list
